git-annex-disableremote(1)

NAME
git-annex-disableremote - stop using a remote

SYNOPSIS
git annex disableremote name

DESCRIPTION
This removes the remote from the local git configuration, the same as git remote remove would. It removes remote tracking branches. It also cleans up various other files in .git/annex/ that belong to or mention the remote.

This does not prevent the same special remote from continuing to be used in other clones of the repository, and it can be re-enabled for local use with the git-annex enableremote command.

When git-annex initremote --private was used to initialize a private remote, disabling it also removes its information from the private journal.

OPTIONS

--json

    Enable JSON output. This is intended to be parsed by programs that use git-annex.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

Also, the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-initremote(1)

git-annex-enableremote(1)

git-annex-renameremote(1)

AUTHOR
Joey Hess <id@joeyh.name>